Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601143 - attach-disk need more detailed manual for --type cdrom or floppy
attach-disk need more detailed manual for --type cdrom or floppy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: 6.0
Assigned To: Eric Blake
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 06:23 EDT by dyuan
Modified: 2010-11-11 09:49 EST (History)
6 users (show)

See Also:
Fixed In Version: libvirt-0_8_1-11_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:49:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dyuan 2010-06-07 06:23:10 EDT
Description of problem:

againt the manual of "virsh".  it should clarify  "virsh attach-disk" is not to attach a cdrom or floppy, but just to change the medium of the cdrom or floppy of device on guest.

if you use the "virsh attach-device" like that, it actually will replace a new iso for the guest cdrom. but not attach a cdrom. the same with floppy..

       case VIR_DOMAIN_DISK_DEVICE_CDROM:
       case VIR_DOMAIN_DISK_DEVICE_FLOPPY:
           ret = qemudDomainChangeEjectableMedia(driver, vm,
                                                 dev->data.disk,
                                                 qemuCmdFlags);
           if (ret == 0)
               dev->data.disk = NULL;
           break;


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2010-06-07 13:03:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Eric Blake 2010-06-09 11:03:51 EDT
See also: https://www.redhat.com/archives/libvir-list/2010-March/msg01133.html

update-device is undocumented in the man page, and change-disk is missing in virsh as a nicer shortcut for what update-device exposes.
Comment 5 Dave Allan 2010-06-28 23:02:02 EDT
libvirt-0_8_1-11_el6 has been built in RHEL-6-candidate with the fix.

Dave
Comment 6 dyuan 2010-06-29 06:14:58 EDT
Verified PASSED with libvirt-0.8.1-11.el6.
Comment 7 Nan Zhang 2010-09-09 06:24:43 EDT
Verified with libvirt-0.8.1-27.el6.x86_64 & qemu-kvm-0.12.1.2-2.113.el6.x86_64.

check attach-disk man page has already udpated:
type can indicate cdrom or floppy as alternative to the disk default, although this use only replaces the media within the existing virtual cdrom or floppy device; consider using update-device for this usage instead.
Comment 8 releng-rhel@redhat.com 2010-11-11 09:49:59 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.